package com.mortals.xhx.module.mid.pdu;

import lombok.Data;

import java.util.List;

/**
 * 微中台证照接口返回证照数据
 */
@Data
public class MidCertificateDataVO {
    /** 证照类型 */
    private String certificateType;
    /** 证照名称 */
    private String certificateName;
    /** 证照持有者 */
    private String certificateHolder;
    /** 证照持有者编码 */
    private String certificateHolderCode;
    /** 证照持有者类型 */
    private String certificateHolderType;
    /** 发证机关 */
    private String issueDept;
    /** 发证机关单位编码 */
    private String issueDeptCode;
    /** 证照编号 */
    private String certificateNumber;
    /** 证照类型编码 */
    private String certificateTypeCode;
    /** 发证时间 */
    private String issueDate;
    /** 证照有效期开始时间 */
    private String certificateValidateStart;
    /** 证照有效期截止时间 */
    private String certificateValidateEnd;
    /** 证照照面信息 */
    private List<CertificateSurface> surface;
}
