package com.mortals.xhx.module.api;

import lombok.Data;

@Data
public class PrintWaitQueueVO {
    /** 打印队列id */
    private Long waitQueueId;
    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证照目录编号
     */
    private String catalogCode;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 证照目录模板ID
     */
    private Long templateId;
    /**
     * 证照模板名称
     */
    private String templateName;
    /**
     * 证照名称
     */
    private String certificateName;
    /**
     * 证照编号
     */
    private String certificateCode;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 持有者姓名
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 取件人姓名
     */
    private String pickerName;
    /**
     * 取件人证件号码
     */
    private String pickerIDCardNo;
    /**
     * 证件预览地址
     */
    private String previewUrl;
    /**
     * 证件附件地址
     */
    private String certificateUrl;
    /**
     * 打印服务访问地址
     */
    private String serviceUrl;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;

    /**
     * 手机号码
     */
    private String mobile;
}
