package com.mortals.xhx.module.business.model;

import java.util.List;
import com.mortals.xhx.module.business.model.BusinessLicenseEntity;
/**
 * 营业执照信息查询对象
 *
 * @author zxfei
 * @date 2023-05-14
 */
public class BusinessLicenseQuery extends BusinessLicenseEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 经营者姓名 */
    private List<String> ProprietorNameList;

    /** 经营者姓名排除列表 */
    private List <String> ProprietorNameNotList;
    /** 营业执照号码 */
    private List<String> BusinessLicenseList;

    /** 营业执照号码排除列表 */
    private List <String> BusinessLicenseNotList;
    /** 单位字号名称 */
    private List<String> TypeSizeNameList;

    /** 单位字号名称排除列表 */
    private List <String> TypeSizeNameNotList;
    /** 开业日期 */
    private List<String> StartDateList;

    /** 开业日期排除列表 */
    private List <String> StartDateNotList;
    /** 组成形式如：个人经营 */
    private List<String> ComposingFormList;

    /** 组成形式如：个人经营排除列表 */
    private List <String> ComposingFormNotList;
    /** 经营场所 */
    private List<String> ManageLocationList;

    /** 经营场所排除列表 */
    private List <String> ManageLocationNotList;
    /** 经营范围 */
    private List<String> ManageRangeList;

    /** 经营范围排除列表 */
    private List <String> ManageRangeNotList;
    /** 注册号 */
    private List<String> RegCodeList;

    /** 注册号排除列表 */
    private List <String> RegCodeNotList;
    /** 证件号码 */
    private List<String> CredentialsCodeList;

    /** 证件号码排除列表 */
    private List <String> CredentialsCodeNotList;
    /** 证件类型 */
    private List<String> CredentialsTypeList;

    /** 证件类型排除列表 */
    private List <String> CredentialsTypeNotList;
    /** 移动电话 */
    private List<String> ProprietorMobileList;

    /** 移动电话排除列表 */
    private List <String> ProprietorMobileNotList;
    /** 营业执照正本二维码base64编码 */
    private List<String> QrCodeOriginalBase64List;

    /** 营业执照正本二维码base64编码排除列表 */
    private List <String> QrCodeOriginalBase64NotList;
    /** 营业执照副本二维码base64编码 */
    private List<String> QrCodeDuplicateBase64List;

    /** 营业执照副本二维码base64编码排除列表 */
    private List <String> QrCodeDuplicateBase64NotList;
    /** 注册资本 */
    private List<String> RegisteredCapitalList;

    /** 注册资本排除列表 */
    private List <String> RegisteredCapitalNotList;
    /** 实收资本 */
    private List<String> PaidupCapitalList;

    /** 实收资本排除列表 */
    private List <String> PaidupCapitalNotList;
    /** 营业期限 */
    private List<String> EndDateList;

    /** 营业期限排除列表 */
    private List <String> EndDateNotList;
    /** 开始 允许打印 正本 1允许 2不允许 */
    private Integer dyZbStart;

    /** 结束 允许打印 正本 1允许 2不允许 */
    private Integer dyZbEnd;

    /** 增加 允许打印 正本 1允许 2不允许 */
    private Integer dyZbIncrement;

    /** 允许打印 正本 1允许 2不允许列表 */
    private List <Integer> dyZbList;

    /** 允许打印 正本 1允许 2不允许排除列表 */
    private List <Integer> dyZbNotList;

    /** 开始 允许打印 副本 1允许 2不允许 */
    private Integer dyFbStart;

    /** 结束 允许打印 副本 1允许 2不允许 */
    private Integer dyFbEnd;

    /** 增加 允许打印 副本 1允许 2不允许 */
    private Integer dyFbIncrement;

    /** 允许打印 副本 1允许 2不允许列表 */
    private List <Integer> dyFbList;

    /** 允许打印 副本 1允许 2不允许排除列表 */
    private List <Integer> dyFbNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 处理状态0未处理1已处理 */
    private Integer statusStart;

    /** 结束 处理状态0未处理1已处理 */
    private Integer statusEnd;

    /** 增加 处理状态0未处理1已处理 */
    private Integer statusIncrement;

    /** 处理状态0未处理1已处理列表 */
    private List <Integer> statusList;

    /** 处理状态0未处理1已处理排除列表 */
    private List <Integer> statusNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BusinessLicenseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BusinessLicenseQuery> andConditionList;

    public BusinessLicenseQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 经营者姓名
     * @return ProprietorNameList
     */
    public List<String> getProprietorNameList(){
        return this.ProprietorNameList;
    }

    /**
     * 设置 经营者姓名
     * @param ProprietorNameList
     */
    public void setProprietorNameList(List<String> ProprietorNameList){
        this.ProprietorNameList = ProprietorNameList;
    }

    /**
     * 获取 经营者姓名
     * @return ProprietorNameNotList
     */
    public List<String> getProprietorNameNotList(){
        return this.ProprietorNameNotList;
    }

    /**
     * 设置 经营者姓名
     * @param ProprietorNameNotList
     */
    public void setProprietorNameNotList(List<String> ProprietorNameNotList){
        this.ProprietorNameNotList = ProprietorNameNotList;
    }

    /**
     * 获取 营业执照号码
     * @return BusinessLicenseList
     */
    public List<String> getBusinessLicenseList(){
        return this.BusinessLicenseList;
    }

    /**
     * 设置 营业执照号码
     * @param BusinessLicenseList
     */
    public void setBusinessLicenseList(List<String> BusinessLicenseList){
        this.BusinessLicenseList = BusinessLicenseList;
    }

    /**
     * 获取 营业执照号码
     * @return BusinessLicenseNotList
     */
    public List<String> getBusinessLicenseNotList(){
        return this.BusinessLicenseNotList;
    }

    /**
     * 设置 营业执照号码
     * @param BusinessLicenseNotList
     */
    public void setBusinessLicenseNotList(List<String> BusinessLicenseNotList){
        this.BusinessLicenseNotList = BusinessLicenseNotList;
    }

    /**
     * 获取 单位字号名称
     * @return TypeSizeNameList
     */
    public List<String> getTypeSizeNameList(){
        return this.TypeSizeNameList;
    }

    /**
     * 设置 单位字号名称
     * @param TypeSizeNameList
     */
    public void setTypeSizeNameList(List<String> TypeSizeNameList){
        this.TypeSizeNameList = TypeSizeNameList;
    }

    /**
     * 获取 单位字号名称
     * @return TypeSizeNameNotList
     */
    public List<String> getTypeSizeNameNotList(){
        return this.TypeSizeNameNotList;
    }

    /**
     * 设置 单位字号名称
     * @param TypeSizeNameNotList
     */
    public void setTypeSizeNameNotList(List<String> TypeSizeNameNotList){
        this.TypeSizeNameNotList = TypeSizeNameNotList;
    }

    /**
     * 获取 开业日期
     * @return StartDateList
     */
    public List<String> getStartDateList(){
        return this.StartDateList;
    }

    /**
     * 设置 开业日期
     * @param StartDateList
     */
    public void setStartDateList(List<String> StartDateList){
        this.StartDateList = StartDateList;
    }

    /**
     * 获取 开业日期
     * @return StartDateNotList
     */
    public List<String> getStartDateNotList(){
        return this.StartDateNotList;
    }

    /**
     * 设置 开业日期
     * @param StartDateNotList
     */
    public void setStartDateNotList(List<String> StartDateNotList){
        this.StartDateNotList = StartDateNotList;
    }

    /**
     * 获取 组成形式如：个人经营
     * @return ComposingFormList
     */
    public List<String> getComposingFormList(){
        return this.ComposingFormList;
    }

    /**
     * 设置 组成形式如：个人经营
     * @param ComposingFormList
     */
    public void setComposingFormList(List<String> ComposingFormList){
        this.ComposingFormList = ComposingFormList;
    }

    /**
     * 获取 组成形式如：个人经营
     * @return ComposingFormNotList
     */
    public List<String> getComposingFormNotList(){
        return this.ComposingFormNotList;
    }

    /**
     * 设置 组成形式如：个人经营
     * @param ComposingFormNotList
     */
    public void setComposingFormNotList(List<String> ComposingFormNotList){
        this.ComposingFormNotList = ComposingFormNotList;
    }

    /**
     * 获取 经营场所
     * @return ManageLocationList
     */
    public List<String> getManageLocationList(){
        return this.ManageLocationList;
    }

    /**
     * 设置 经营场所
     * @param ManageLocationList
     */
    public void setManageLocationList(List<String> ManageLocationList){
        this.ManageLocationList = ManageLocationList;
    }

    /**
     * 获取 经营场所
     * @return ManageLocationNotList
     */
    public List<String> getManageLocationNotList(){
        return this.ManageLocationNotList;
    }

    /**
     * 设置 经营场所
     * @param ManageLocationNotList
     */
    public void setManageLocationNotList(List<String> ManageLocationNotList){
        this.ManageLocationNotList = ManageLocationNotList;
    }

    /**
     * 获取 经营范围
     * @return ManageRangeList
     */
    public List<String> getManageRangeList(){
        return this.ManageRangeList;
    }

    /**
     * 设置 经营范围
     * @param ManageRangeList
     */
    public void setManageRangeList(List<String> ManageRangeList){
        this.ManageRangeList = ManageRangeList;
    }

    /**
     * 获取 经营范围
     * @return ManageRangeNotList
     */
    public List<String> getManageRangeNotList(){
        return this.ManageRangeNotList;
    }

    /**
     * 设置 经营范围
     * @param ManageRangeNotList
     */
    public void setManageRangeNotList(List<String> ManageRangeNotList){
        this.ManageRangeNotList = ManageRangeNotList;
    }

    /**
     * 获取 注册号
     * @return RegCodeList
     */
    public List<String> getRegCodeList(){
        return this.RegCodeList;
    }

    /**
     * 设置 注册号
     * @param RegCodeList
     */
    public void setRegCodeList(List<String> RegCodeList){
        this.RegCodeList = RegCodeList;
    }

    /**
     * 获取 注册号
     * @return RegCodeNotList
     */
    public List<String> getRegCodeNotList(){
        return this.RegCodeNotList;
    }

    /**
     * 设置 注册号
     * @param RegCodeNotList
     */
    public void setRegCodeNotList(List<String> RegCodeNotList){
        this.RegCodeNotList = RegCodeNotList;
    }

    /**
     * 获取 证件号码
     * @return CredentialsCodeList
     */
    public List<String> getCredentialsCodeList(){
        return this.CredentialsCodeList;
    }

    /**
     * 设置 证件号码
     * @param CredentialsCodeList
     */
    public void setCredentialsCodeList(List<String> CredentialsCodeList){
        this.CredentialsCodeList = CredentialsCodeList;
    }

    /**
     * 获取 证件号码
     * @return CredentialsCodeNotList
     */
    public List<String> getCredentialsCodeNotList(){
        return this.CredentialsCodeNotList;
    }

    /**
     * 设置 证件号码
     * @param CredentialsCodeNotList
     */
    public void setCredentialsCodeNotList(List<String> CredentialsCodeNotList){
        this.CredentialsCodeNotList = CredentialsCodeNotList;
    }

    /**
     * 获取 证件类型
     * @return CredentialsTypeList
     */
    public List<String> getCredentialsTypeList(){
        return this.CredentialsTypeList;
    }

    /**
     * 设置 证件类型
     * @param CredentialsTypeList
     */
    public void setCredentialsTypeList(List<String> CredentialsTypeList){
        this.CredentialsTypeList = CredentialsTypeList;
    }

    /**
     * 获取 证件类型
     * @return CredentialsTypeNotList
     */
    public List<String> getCredentialsTypeNotList(){
        return this.CredentialsTypeNotList;
    }

    /**
     * 设置 证件类型
     * @param CredentialsTypeNotList
     */
    public void setCredentialsTypeNotList(List<String> CredentialsTypeNotList){
        this.CredentialsTypeNotList = CredentialsTypeNotList;
    }

    /**
     * 获取 移动电话
     * @return ProprietorMobileList
     */
    public List<String> getProprietorMobileList(){
        return this.ProprietorMobileList;
    }

    /**
     * 设置 移动电话
     * @param ProprietorMobileList
     */
    public void setProprietorMobileList(List<String> ProprietorMobileList){
        this.ProprietorMobileList = ProprietorMobileList;
    }

    /**
     * 获取 移动电话
     * @return ProprietorMobileNotList
     */
    public List<String> getProprietorMobileNotList(){
        return this.ProprietorMobileNotList;
    }

    /**
     * 设置 移动电话
     * @param ProprietorMobileNotList
     */
    public void setProprietorMobileNotList(List<String> ProprietorMobileNotList){
        this.ProprietorMobileNotList = ProprietorMobileNotList;
    }

    /**
     * 获取 营业执照正本二维码base64编码
     * @return QrCodeOriginalBase64List
     */
    public List<String> getQrCodeOriginalBase64List(){
        return this.QrCodeOriginalBase64List;
    }

    /**
     * 设置 营业执照正本二维码base64编码
     * @param QrCodeOriginalBase64List
     */
    public void setQrCodeOriginalBase64List(List<String> QrCodeOriginalBase64List){
        this.QrCodeOriginalBase64List = QrCodeOriginalBase64List;
    }

    /**
     * 获取 营业执照正本二维码base64编码
     * @return QrCodeOriginalBase64NotList
     */
    public List<String> getQrCodeOriginalBase64NotList(){
        return this.QrCodeOriginalBase64NotList;
    }

    /**
     * 设置 营业执照正本二维码base64编码
     * @param QrCodeOriginalBase64NotList
     */
    public void setQrCodeOriginalBase64NotList(List<String> QrCodeOriginalBase64NotList){
        this.QrCodeOriginalBase64NotList = QrCodeOriginalBase64NotList;
    }

    /**
     * 获取 营业执照副本二维码base64编码
     * @return QrCodeDuplicateBase64List
     */
    public List<String> getQrCodeDuplicateBase64List(){
        return this.QrCodeDuplicateBase64List;
    }

    /**
     * 设置 营业执照副本二维码base64编码
     * @param QrCodeDuplicateBase64List
     */
    public void setQrCodeDuplicateBase64List(List<String> QrCodeDuplicateBase64List){
        this.QrCodeDuplicateBase64List = QrCodeDuplicateBase64List;
    }

    /**
     * 获取 营业执照副本二维码base64编码
     * @return QrCodeDuplicateBase64NotList
     */
    public List<String> getQrCodeDuplicateBase64NotList(){
        return this.QrCodeDuplicateBase64NotList;
    }

    /**
     * 设置 营业执照副本二维码base64编码
     * @param QrCodeDuplicateBase64NotList
     */
    public void setQrCodeDuplicateBase64NotList(List<String> QrCodeDuplicateBase64NotList){
        this.QrCodeDuplicateBase64NotList = QrCodeDuplicateBase64NotList;
    }

    /**
     * 获取 注册资本
     * @return RegisteredCapitalList
     */
    public List<String> getRegisteredCapitalList(){
        return this.RegisteredCapitalList;
    }

    /**
     * 设置 注册资本
     * @param RegisteredCapitalList
     */
    public void setRegisteredCapitalList(List<String> RegisteredCapitalList){
        this.RegisteredCapitalList = RegisteredCapitalList;
    }

    /**
     * 获取 注册资本
     * @return RegisteredCapitalNotList
     */
    public List<String> getRegisteredCapitalNotList(){
        return this.RegisteredCapitalNotList;
    }

    /**
     * 设置 注册资本
     * @param RegisteredCapitalNotList
     */
    public void setRegisteredCapitalNotList(List<String> RegisteredCapitalNotList){
        this.RegisteredCapitalNotList = RegisteredCapitalNotList;
    }

    /**
     * 获取 实收资本
     * @return PaidupCapitalList
     */
    public List<String> getPaidupCapitalList(){
        return this.PaidupCapitalList;
    }

    /**
     * 设置 实收资本
     * @param PaidupCapitalList
     */
    public void setPaidupCapitalList(List<String> PaidupCapitalList){
        this.PaidupCapitalList = PaidupCapitalList;
    }

    /**
     * 获取 实收资本
     * @return PaidupCapitalNotList
     */
    public List<String> getPaidupCapitalNotList(){
        return this.PaidupCapitalNotList;
    }

    /**
     * 设置 实收资本
     * @param PaidupCapitalNotList
     */
    public void setPaidupCapitalNotList(List<String> PaidupCapitalNotList){
        this.PaidupCapitalNotList = PaidupCapitalNotList;
    }

    /**
     * 获取 营业期限
     * @return EndDateList
     */
    public List<String> getEndDateList(){
        return this.EndDateList;
    }

    /**
     * 设置 营业期限
     * @param EndDateList
     */
    public void setEndDateList(List<String> EndDateList){
        this.EndDateList = EndDateList;
    }

    /**
     * 获取 营业期限
     * @return EndDateNotList
     */
    public List<String> getEndDateNotList(){
        return this.EndDateNotList;
    }

    /**
     * 设置 营业期限
     * @param EndDateNotList
     */
    public void setEndDateNotList(List<String> EndDateNotList){
        this.EndDateNotList = EndDateNotList;
    }

    /**
     * 获取 开始 允许打印 正本 1允许 2不允许
     * @return dyZbStart
     */
    public Integer getDyZbStart(){
        return this.dyZbStart;
    }

    /**
     * 设置 开始 允许打印 正本 1允许 2不允许
     * @param dyZbStart
     */
    public void setDyZbStart(Integer dyZbStart){
        this.dyZbStart = dyZbStart;
    }

    /**
     * 获取 结束 允许打印 正本 1允许 2不允许
     * @return $dyZbEnd
     */
    public Integer getDyZbEnd(){
        return this.dyZbEnd;
    }

    /**
     * 设置 结束 允许打印 正本 1允许 2不允许
     * @param dyZbEnd
     */
    public void setDyZbEnd(Integer dyZbEnd){
        this.dyZbEnd = dyZbEnd;
    }

    /**
     * 获取 增加 允许打印 正本 1允许 2不允许
     * @return dyZbIncrement
     */
    public Integer getDyZbIncrement(){
        return this.dyZbIncrement;
    }

    /**
     * 设置 增加 允许打印 正本 1允许 2不允许
     * @param dyZbIncrement
     */
    public void setDyZbIncrement(Integer dyZbIncrement){
        this.dyZbIncrement = dyZbIncrement;
    }

    /**
     * 获取 允许打印 正本 1允许 2不允许
     * @return dyZbList
     */
    public List<Integer> getDyZbList(){
        return this.dyZbList;
    }

    /**
     * 设置 允许打印 正本 1允许 2不允许
     * @param dyZbList
     */
    public void setDyZbList(List<Integer> dyZbList){
        this.dyZbList = dyZbList;
    }

    /**
     * 获取 允许打印 正本 1允许 2不允许
     * @return dyZbNotList
     */
    public List<Integer> getDyZbNotList(){
        return this.dyZbNotList;
    }

    /**
     * 设置 允许打印 正本 1允许 2不允许
     * @param dyZbNotList
     */
    public void setDyZbNotList(List<Integer> dyZbNotList){
        this.dyZbNotList = dyZbNotList;
    }


    /**
     * 获取 开始 允许打印 副本 1允许 2不允许
     * @return dyFbStart
     */
    public Integer getDyFbStart(){
        return this.dyFbStart;
    }

    /**
     * 设置 开始 允许打印 副本 1允许 2不允许
     * @param dyFbStart
     */
    public void setDyFbStart(Integer dyFbStart){
        this.dyFbStart = dyFbStart;
    }

    /**
     * 获取 结束 允许打印 副本 1允许 2不允许
     * @return $dyFbEnd
     */
    public Integer getDyFbEnd(){
        return this.dyFbEnd;
    }

    /**
     * 设置 结束 允许打印 副本 1允许 2不允许
     * @param dyFbEnd
     */
    public void setDyFbEnd(Integer dyFbEnd){
        this.dyFbEnd = dyFbEnd;
    }

    /**
     * 获取 增加 允许打印 副本 1允许 2不允许
     * @return dyFbIncrement
     */
    public Integer getDyFbIncrement(){
        return this.dyFbIncrement;
    }

    /**
     * 设置 增加 允许打印 副本 1允许 2不允许
     * @param dyFbIncrement
     */
    public void setDyFbIncrement(Integer dyFbIncrement){
        this.dyFbIncrement = dyFbIncrement;
    }

    /**
     * 获取 允许打印 副本 1允许 2不允许
     * @return dyFbList
     */
    public List<Integer> getDyFbList(){
        return this.dyFbList;
    }

    /**
     * 设置 允许打印 副本 1允许 2不允许
     * @param dyFbList
     */
    public void setDyFbList(List<Integer> dyFbList){
        this.dyFbList = dyFbList;
    }

    /**
     * 获取 允许打印 副本 1允许 2不允许
     * @return dyFbNotList
     */
    public List<Integer> getDyFbNotList(){
        return this.dyFbNotList;
    }

    /**
     * 设置 允许打印 副本 1允许 2不允许
     * @param dyFbNotList
     */
    public void setDyFbNotList(List<Integer> dyFbNotList){
        this.dyFbNotList = dyFbNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 处理状态0未处理1已处理
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 处理状态0未处理1已处理
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 处理状态0未处理1已处理
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 处理状态0未处理1已处理
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 处理状态0未处理1已处理
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 处理状态0未处理1已处理
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 处理状态0未处理1已处理
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 处理状态0未处理1已处理
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 处理状态0未处理1已处理
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 处理状态0未处理1已处理
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public BusinessLicenseQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public BusinessLicenseQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public BusinessLicenseQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public BusinessLicenseQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public BusinessLicenseQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public BusinessLicenseQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 经营者姓名
     * @param ProprietorName
     */
    public BusinessLicenseQuery ProprietorName(String ProprietorName){
        setProprietorName(ProprietorName);
        return this;
    }

    /**
     * 设置 经营者姓名
     * @param ProprietorNameList
     */
    public BusinessLicenseQuery ProprietorNameList(List<String> ProprietorNameList){
        this.ProprietorNameList = ProprietorNameList;
        return this;
    }


    /**
     * 设置 营业执照号码
     * @param BusinessLicense
     */
    public BusinessLicenseQuery BusinessLicense(String BusinessLicense){
        setBusinessLicense(BusinessLicense);
        return this;
    }

    /**
     * 设置 营业执照号码
     * @param BusinessLicenseList
     */
    public BusinessLicenseQuery BusinessLicenseList(List<String> BusinessLicenseList){
        this.BusinessLicenseList = BusinessLicenseList;
        return this;
    }


    /**
     * 设置 单位字号名称
     * @param TypeSizeName
     */
    public BusinessLicenseQuery TypeSizeName(String TypeSizeName){
        setTypeSizeName(TypeSizeName);
        return this;
    }

    /**
     * 设置 单位字号名称
     * @param TypeSizeNameList
     */
    public BusinessLicenseQuery TypeSizeNameList(List<String> TypeSizeNameList){
        this.TypeSizeNameList = TypeSizeNameList;
        return this;
    }


    /**
     * 设置 开业日期
     * @param StartDate
     */
    public BusinessLicenseQuery StartDate(String StartDate){
        setStartDate(StartDate);
        return this;
    }

    /**
     * 设置 开业日期
     * @param StartDateList
     */
    public BusinessLicenseQuery StartDateList(List<String> StartDateList){
        this.StartDateList = StartDateList;
        return this;
    }


    /**
     * 设置 组成形式如：个人经营
     * @param ComposingForm
     */
    public BusinessLicenseQuery ComposingForm(String ComposingForm){
        setComposingForm(ComposingForm);
        return this;
    }

    /**
     * 设置 组成形式如：个人经营
     * @param ComposingFormList
     */
    public BusinessLicenseQuery ComposingFormList(List<String> ComposingFormList){
        this.ComposingFormList = ComposingFormList;
        return this;
    }


    /**
     * 设置 经营场所
     * @param ManageLocation
     */
    public BusinessLicenseQuery ManageLocation(String ManageLocation){
        setManageLocation(ManageLocation);
        return this;
    }

    /**
     * 设置 经营场所
     * @param ManageLocationList
     */
    public BusinessLicenseQuery ManageLocationList(List<String> ManageLocationList){
        this.ManageLocationList = ManageLocationList;
        return this;
    }


    /**
     * 设置 经营范围
     * @param ManageRange
     */
    public BusinessLicenseQuery ManageRange(String ManageRange){
        setManageRange(ManageRange);
        return this;
    }

    /**
     * 设置 经营范围
     * @param ManageRangeList
     */
    public BusinessLicenseQuery ManageRangeList(List<String> ManageRangeList){
        this.ManageRangeList = ManageRangeList;
        return this;
    }


    /**
     * 设置 注册号
     * @param RegCode
     */
    public BusinessLicenseQuery RegCode(String RegCode){
        setRegCode(RegCode);
        return this;
    }

    /**
     * 设置 注册号
     * @param RegCodeList
     */
    public BusinessLicenseQuery RegCodeList(List<String> RegCodeList){
        this.RegCodeList = RegCodeList;
        return this;
    }


    /**
     * 设置 证件号码
     * @param CredentialsCode
     */
    public BusinessLicenseQuery CredentialsCode(String CredentialsCode){
        setCredentialsCode(CredentialsCode);
        return this;
    }

    /**
     * 设置 证件号码
     * @param CredentialsCodeList
     */
    public BusinessLicenseQuery CredentialsCodeList(List<String> CredentialsCodeList){
        this.CredentialsCodeList = CredentialsCodeList;
        return this;
    }


    /**
     * 设置 证件类型
     * @param CredentialsType
     */
    public BusinessLicenseQuery CredentialsType(String CredentialsType){
        setCredentialsType(CredentialsType);
        return this;
    }

    /**
     * 设置 证件类型
     * @param CredentialsTypeList
     */
    public BusinessLicenseQuery CredentialsTypeList(List<String> CredentialsTypeList){
        this.CredentialsTypeList = CredentialsTypeList;
        return this;
    }


    /**
     * 设置 移动电话
     * @param ProprietorMobile
     */
    public BusinessLicenseQuery ProprietorMobile(String ProprietorMobile){
        setProprietorMobile(ProprietorMobile);
        return this;
    }

    /**
     * 设置 移动电话
     * @param ProprietorMobileList
     */
    public BusinessLicenseQuery ProprietorMobileList(List<String> ProprietorMobileList){
        this.ProprietorMobileList = ProprietorMobileList;
        return this;
    }


    /**
     * 设置 营业执照正本二维码base64编码
     * @param QrCodeOriginalBase64
     */
    public BusinessLicenseQuery QrCodeOriginalBase64(String QrCodeOriginalBase64){
        setQrCodeOriginalBase64(QrCodeOriginalBase64);
        return this;
    }

    /**
     * 设置 营业执照正本二维码base64编码
     * @param QrCodeOriginalBase64List
     */
    public BusinessLicenseQuery QrCodeOriginalBase64List(List<String> QrCodeOriginalBase64List){
        this.QrCodeOriginalBase64List = QrCodeOriginalBase64List;
        return this;
    }


    /**
     * 设置 营业执照副本二维码base64编码
     * @param QrCodeDuplicateBase64
     */
    public BusinessLicenseQuery QrCodeDuplicateBase64(String QrCodeDuplicateBase64){
        setQrCodeDuplicateBase64(QrCodeDuplicateBase64);
        return this;
    }

    /**
     * 设置 营业执照副本二维码base64编码
     * @param QrCodeDuplicateBase64List
     */
    public BusinessLicenseQuery QrCodeDuplicateBase64List(List<String> QrCodeDuplicateBase64List){
        this.QrCodeDuplicateBase64List = QrCodeDuplicateBase64List;
        return this;
    }


    /**
     * 设置 注册资本
     * @param RegisteredCapital
     */
    public BusinessLicenseQuery RegisteredCapital(String RegisteredCapital){
        setRegisteredCapital(RegisteredCapital);
        return this;
    }

    /**
     * 设置 注册资本
     * @param RegisteredCapitalList
     */
    public BusinessLicenseQuery RegisteredCapitalList(List<String> RegisteredCapitalList){
        this.RegisteredCapitalList = RegisteredCapitalList;
        return this;
    }


    /**
     * 设置 实收资本
     * @param PaidupCapital
     */
    public BusinessLicenseQuery PaidupCapital(String PaidupCapital){
        setPaidupCapital(PaidupCapital);
        return this;
    }

    /**
     * 设置 实收资本
     * @param PaidupCapitalList
     */
    public BusinessLicenseQuery PaidupCapitalList(List<String> PaidupCapitalList){
        this.PaidupCapitalList = PaidupCapitalList;
        return this;
    }


    /**
     * 设置 营业期限
     * @param EndDate
     */
    public BusinessLicenseQuery EndDate(String EndDate){
        setEndDate(EndDate);
        return this;
    }

    /**
     * 设置 营业期限
     * @param EndDateList
     */
    public BusinessLicenseQuery EndDateList(List<String> EndDateList){
        this.EndDateList = EndDateList;
        return this;
    }

    /**
     * 设置  允许打印 正本 1允许 2不允许
     * @param dyZb
     */
    public BusinessLicenseQuery dyZb(Integer dyZb){
        setDyZb(dyZb);
        return this;
    }

    /**
     * 设置 开始 允许打印 正本 1允许 2不允许
     * @param dyZbStart
     */
    public BusinessLicenseQuery dyZbStart(Integer dyZbStart){
        this.dyZbStart = dyZbStart;
        return this;
    }

    /**
     * 设置 结束 允许打印 正本 1允许 2不允许
     * @param dyZbEnd
     */
    public BusinessLicenseQuery dyZbEnd(Integer dyZbEnd){
        this.dyZbEnd = dyZbEnd;
        return this;
    }

    /**
     * 设置 增加 允许打印 正本 1允许 2不允许
     * @param dyZbIncrement
     */
    public BusinessLicenseQuery dyZbIncrement(Integer dyZbIncrement){
        this.dyZbIncrement = dyZbIncrement;
        return this;
    }

    /**
     * 设置 允许打印 正本 1允许 2不允许
     * @param dyZbList
     */
    public BusinessLicenseQuery dyZbList(List<Integer> dyZbList){
        this.dyZbList = dyZbList;
        return this;
    }

    /**
     * 设置 允许打印 正本 1允许 2不允许
     * @param dyZbNotList
     */
    public BusinessLicenseQuery dyZbNotList(List<Integer> dyZbNotList){
        this.dyZbNotList = dyZbNotList;
        return this;
    }

    /**
     * 设置  允许打印 副本 1允许 2不允许
     * @param dyFb
     */
    public BusinessLicenseQuery dyFb(Integer dyFb){
        setDyFb(dyFb);
        return this;
    }

    /**
     * 设置 开始 允许打印 副本 1允许 2不允许
     * @param dyFbStart
     */
    public BusinessLicenseQuery dyFbStart(Integer dyFbStart){
        this.dyFbStart = dyFbStart;
        return this;
    }

    /**
     * 设置 结束 允许打印 副本 1允许 2不允许
     * @param dyFbEnd
     */
    public BusinessLicenseQuery dyFbEnd(Integer dyFbEnd){
        this.dyFbEnd = dyFbEnd;
        return this;
    }

    /**
     * 设置 增加 允许打印 副本 1允许 2不允许
     * @param dyFbIncrement
     */
    public BusinessLicenseQuery dyFbIncrement(Integer dyFbIncrement){
        this.dyFbIncrement = dyFbIncrement;
        return this;
    }

    /**
     * 设置 允许打印 副本 1允许 2不允许
     * @param dyFbList
     */
    public BusinessLicenseQuery dyFbList(List<Integer> dyFbList){
        this.dyFbList = dyFbList;
        return this;
    }

    /**
     * 设置 允许打印 副本 1允许 2不允许
     * @param dyFbNotList
     */
    public BusinessLicenseQuery dyFbNotList(List<Integer> dyFbNotList){
        this.dyFbNotList = dyFbNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public BusinessLicenseQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public BusinessLicenseQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public BusinessLicenseQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public BusinessLicenseQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public BusinessLicenseQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public BusinessLicenseQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public BusinessLicenseQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public BusinessLicenseQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public BusinessLicenseQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public BusinessLicenseQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public BusinessLicenseQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public BusinessLicenseQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  处理状态0未处理1已处理
     * @param status
     */
    public BusinessLicenseQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 处理状态0未处理1已处理
     * @param statusStart
     */
    public BusinessLicenseQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态0未处理1已处理
     * @param statusEnd
     */
    public BusinessLicenseQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态0未处理1已处理
     * @param statusIncrement
     */
    public BusinessLicenseQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 处理状态0未处理1已处理
     * @param statusList
     */
    public BusinessLicenseQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 处理状态0未处理1已处理
     * @param statusNotList
     */
    public BusinessLicenseQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public BusinessLicenseQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public BusinessLicenseQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public BusinessLicenseQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public BusinessLicenseQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public BusinessLicenseQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public BusinessLicenseQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<BusinessLicenseQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<BusinessLicenseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<BusinessLicenseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<BusinessLicenseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}