package com.mortals.xhx.module.print.model;

import java.util.List;
import com.mortals.xhx.module.print.model.PrintCatalogEntity;
/**
* 证照目录打印配置查询对象
*
* @author zxfei
* @date 2023-05-24
*/
public class PrintCatalogQuery extends PrintCatalogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 打印服务配置ID */
    private Long serviceIdStart;

    /** 结束 打印服务配置ID */
    private Long serviceIdEnd;

    /** 增加 打印服务配置ID */
    private Long serviceIdIncrement;

    /** 打印服务配置ID列表 */
    private List <Long> serviceIdList;

    /** 打印服务配置ID排除列表 */
    private List <Long> serviceIdNotList;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** 证照目录ID排除列表 */
    private List <Long> catalogIdNotList;

    /** 证照目录编号 */
    private List<String> catalogCodeList;

    /** 证照目录编号排除列表 */
    private List <String> catalogCodeNotList;
    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 开始 证照目录模板ID */
    private Long templateIdStart;

    /** 结束 证照目录模板ID */
    private Long templateIdEnd;

    /** 增加 证照目录模板ID */
    private Long templateIdIncrement;

    /** 证照目录模板ID列表 */
    private List <Long> templateIdList;

    /** 证照目录模板ID排除列表 */
    private List <Long> templateIdNotList;

    /** 证照模板名称 */
    private List<String> templateNameList;

    /** 证照模板名称排除列表 */
    private List <String> templateNameNotList;
    /** 打印机名称 */
    private List<String> printerNameList;

    /** 打印机名称排除列表 */
    private List <String> printerNameNotList;
    /** 打印机网络地址 */
    private List<String> printerIpList;

    /** 打印机网络地址排除列表 */
    private List <String> printerIpNotList;
    /** 打印机纸盒 */
    private List<String> paperSourceList;

    /** 打印机纸盒排除列表 */
    private List <String> paperSourceNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PrintCatalogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PrintCatalogQuery> andConditionList;

    public PrintCatalogQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 开始 打印服务配置ID
    * @return serviceIdStart
    */
    public Long getServiceIdStart(){
        return this.serviceIdStart;
    }

    /**
    * 设置 开始 打印服务配置ID
    * @param serviceIdStart
    */
    public void setServiceIdStart(Long serviceIdStart){
        this.serviceIdStart = serviceIdStart;
    }

    /**
    * 获取 结束 打印服务配置ID
    * @return $serviceIdEnd
    */
    public Long getServiceIdEnd(){
        return this.serviceIdEnd;
    }

    /**
    * 设置 结束 打印服务配置ID
    * @param serviceIdEnd
    */
    public void setServiceIdEnd(Long serviceIdEnd){
        this.serviceIdEnd = serviceIdEnd;
    }

    /**
    * 获取 增加 打印服务配置ID
    * @return serviceIdIncrement
    */
    public Long getServiceIdIncrement(){
        return this.serviceIdIncrement;
    }

    /**
    * 设置 增加 打印服务配置ID
    * @param serviceIdIncrement
    */
    public void setServiceIdIncrement(Long serviceIdIncrement){
        this.serviceIdIncrement = serviceIdIncrement;
    }

    /**
    * 获取 打印服务配置ID
    * @return serviceIdList
    */
    public List<Long> getServiceIdList(){
        return this.serviceIdList;
    }

    /**
    * 设置 打印服务配置ID
    * @param serviceIdList
    */
    public void setServiceIdList(List<Long> serviceIdList){
        this.serviceIdList = serviceIdList;
    }

    /**
    * 获取 打印服务配置ID
    * @return serviceIdNotList
    */
    public List<Long> getServiceIdNotList(){
        return this.serviceIdNotList;
    }

    /**
    * 设置 打印服务配置ID
    * @param serviceIdNotList
    */
    public void setServiceIdNotList(List<Long> serviceIdNotList){
        this.serviceIdNotList = serviceIdNotList;
    }


    /**
    * 获取 开始 证照目录ID
    * @return catalogIdStart
    */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
    * 获取 结束 证照目录ID
    * @return $catalogIdEnd
    */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
    * 获取 增加 证照目录ID
    * @return catalogIdIncrement
    */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
    * 获取 证照目录ID
    * @return catalogIdList
    */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
    * 获取 证照目录ID
    * @return catalogIdNotList
    */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdNotList
    */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
    * 获取 证照目录编号
    * @return catalogCodeList
    */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }

    /**
    * 获取 证照目录编号
    * @return catalogCodeNotList
    */
    public List<String> getCatalogCodeNotList(){
        return this.catalogCodeNotList;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeNotList
    */
    public void setCatalogCodeNotList(List<String> catalogCodeNotList){
        this.catalogCodeNotList = catalogCodeNotList;
    }

    /**
    * 获取 目录名称
    * @return catalogNameList
    */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
    * 设置 目录名称
    * @param catalogNameList
    */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
    * 获取 目录名称
    * @return catalogNameNotList
    */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
    * 设置 目录名称
    * @param catalogNameNotList
    */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
    * 获取 开始 证照目录模板ID
    * @return templateIdStart
    */
    public Long getTemplateIdStart(){
        return this.templateIdStart;
    }

    /**
    * 设置 开始 证照目录模板ID
    * @param templateIdStart
    */
    public void setTemplateIdStart(Long templateIdStart){
        this.templateIdStart = templateIdStart;
    }

    /**
    * 获取 结束 证照目录模板ID
    * @return $templateIdEnd
    */
    public Long getTemplateIdEnd(){
        return this.templateIdEnd;
    }

    /**
    * 设置 结束 证照目录模板ID
    * @param templateIdEnd
    */
    public void setTemplateIdEnd(Long templateIdEnd){
        this.templateIdEnd = templateIdEnd;
    }

    /**
    * 获取 增加 证照目录模板ID
    * @return templateIdIncrement
    */
    public Long getTemplateIdIncrement(){
        return this.templateIdIncrement;
    }

    /**
    * 设置 增加 证照目录模板ID
    * @param templateIdIncrement
    */
    public void setTemplateIdIncrement(Long templateIdIncrement){
        this.templateIdIncrement = templateIdIncrement;
    }

    /**
    * 获取 证照目录模板ID
    * @return templateIdList
    */
    public List<Long> getTemplateIdList(){
        return this.templateIdList;
    }

    /**
    * 设置 证照目录模板ID
    * @param templateIdList
    */
    public void setTemplateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
    }

    /**
    * 获取 证照目录模板ID
    * @return templateIdNotList
    */
    public List<Long> getTemplateIdNotList(){
        return this.templateIdNotList;
    }

    /**
    * 设置 证照目录模板ID
    * @param templateIdNotList
    */
    public void setTemplateIdNotList(List<Long> templateIdNotList){
        this.templateIdNotList = templateIdNotList;
    }


    /**
    * 获取 证照模板名称
    * @return templateNameList
    */
    public List<String> getTemplateNameList(){
        return this.templateNameList;
    }

    /**
    * 设置 证照模板名称
    * @param templateNameList
    */
    public void setTemplateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
    }

    /**
    * 获取 证照模板名称
    * @return templateNameNotList
    */
    public List<String> getTemplateNameNotList(){
        return this.templateNameNotList;
    }

    /**
    * 设置 证照模板名称
    * @param templateNameNotList
    */
    public void setTemplateNameNotList(List<String> templateNameNotList){
        this.templateNameNotList = templateNameNotList;
    }

    /**
    * 获取 打印机名称
    * @return printerNameList
    */
    public List<String> getPrinterNameList(){
        return this.printerNameList;
    }

    /**
    * 设置 打印机名称
    * @param printerNameList
    */
    public void setPrinterNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
    }

    /**
    * 获取 打印机名称
    * @return printerNameNotList
    */
    public List<String> getPrinterNameNotList(){
        return this.printerNameNotList;
    }

    /**
    * 设置 打印机名称
    * @param printerNameNotList
    */
    public void setPrinterNameNotList(List<String> printerNameNotList){
        this.printerNameNotList = printerNameNotList;
    }

    /**
    * 获取 打印机网络地址
    * @return printerIpList
    */
    public List<String> getPrinterIpList(){
        return this.printerIpList;
    }

    /**
    * 设置 打印机网络地址
    * @param printerIpList
    */
    public void setPrinterIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
    }

    /**
    * 获取 打印机网络地址
    * @return printerIpNotList
    */
    public List<String> getPrinterIpNotList(){
        return this.printerIpNotList;
    }

    /**
    * 设置 打印机网络地址
    * @param printerIpNotList
    */
    public void setPrinterIpNotList(List<String> printerIpNotList){
        this.printerIpNotList = printerIpNotList;
    }

    /**
    * 获取 打印机纸盒
    * @return paperSourceList
    */
    public List<String> getPaperSourceList(){
        return this.paperSourceList;
    }

    /**
    * 设置 打印机纸盒
    * @param paperSourceList
    */
    public void setPaperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
    }

    /**
    * 获取 打印机纸盒
    * @return paperSourceNotList
    */
    public List<String> getPaperSourceNotList(){
        return this.paperSourceNotList;
    }

    /**
    * 设置 打印机纸盒
    * @param paperSourceNotList
    */
    public void setPaperSourceNotList(List<String> paperSourceNotList){
        this.paperSourceNotList = paperSourceNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PrintCatalogQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PrintCatalogQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PrintCatalogQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PrintCatalogQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PrintCatalogQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PrintCatalogQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public PrintCatalogQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public PrintCatalogQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public PrintCatalogQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public PrintCatalogQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public PrintCatalogQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点id
        * @param siteIdNotList
        */
        public PrintCatalogQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }

    /**
    * 设置  打印服务配置ID
    * @param serviceId
    */
    public PrintCatalogQuery serviceId(Long serviceId){
	    setServiceId(serviceId);
		return this;
    }
	
	 /**
    * 设置 开始 打印服务配置ID
    * @param serviceIdStart
    */
    public PrintCatalogQuery serviceIdStart(Long serviceIdStart){
		this.serviceIdStart = serviceIdStart;
		return this;
    }

    /**
    * 设置 结束 打印服务配置ID
    * @param serviceIdEnd
    */
    public PrintCatalogQuery serviceIdEnd(Long serviceIdEnd){
		this.serviceIdEnd = serviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 打印服务配置ID
    * @param serviceIdIncrement
    */
    public PrintCatalogQuery serviceIdIncrement(Long serviceIdIncrement){
		this.serviceIdIncrement = serviceIdIncrement;
		return this;
    }

    /**
    * 设置 打印服务配置ID
    * @param serviceIdList
    */
    public PrintCatalogQuery serviceIdList(List<Long> serviceIdList){
        this.serviceIdList = serviceIdList;
		return this;
        }

        /**
        * 设置 打印服务配置ID
        * @param serviceIdNotList
        */
        public PrintCatalogQuery serviceIdNotList(List<Long> serviceIdNotList){
        this.serviceIdNotList = serviceIdNotList;
        return this;
        }

    /**
    * 设置  证照目录ID
    * @param catalogId
    */
    public PrintCatalogQuery catalogId(Long catalogId){
	    setCatalogId(catalogId);
		return this;
    }
	
	 /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public PrintCatalogQuery catalogIdStart(Long catalogIdStart){
		this.catalogIdStart = catalogIdStart;
		return this;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public PrintCatalogQuery catalogIdEnd(Long catalogIdEnd){
		this.catalogIdEnd = catalogIdEnd;
		return this;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public PrintCatalogQuery catalogIdIncrement(Long catalogIdIncrement){
		this.catalogIdIncrement = catalogIdIncrement;
		return this;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public PrintCatalogQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
		return this;
        }

        /**
        * 设置 证照目录ID
        * @param catalogIdNotList
        */
        public PrintCatalogQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
        }


	/**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public PrintCatalogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
		return this;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public PrintCatalogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
		return this;
    }


	/**
    * 设置 目录名称
    * @param catalogName
    */
    public PrintCatalogQuery catalogName(String catalogName){
        setCatalogName(catalogName);
		return this;
    }

    /**
    * 设置 目录名称
    * @param catalogNameList
    */
    public PrintCatalogQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
		return this;
    }

    /**
    * 设置  证照目录模板ID
    * @param templateId
    */
    public PrintCatalogQuery templateId(Long templateId){
	    setTemplateId(templateId);
		return this;
    }
	
	 /**
    * 设置 开始 证照目录模板ID
    * @param templateIdStart
    */
    public PrintCatalogQuery templateIdStart(Long templateIdStart){
		this.templateIdStart = templateIdStart;
		return this;
    }

    /**
    * 设置 结束 证照目录模板ID
    * @param templateIdEnd
    */
    public PrintCatalogQuery templateIdEnd(Long templateIdEnd){
		this.templateIdEnd = templateIdEnd;
		return this;
    }

    /**
    * 设置 增加 证照目录模板ID
    * @param templateIdIncrement
    */
    public PrintCatalogQuery templateIdIncrement(Long templateIdIncrement){
		this.templateIdIncrement = templateIdIncrement;
		return this;
    }

    /**
    * 设置 证照目录模板ID
    * @param templateIdList
    */
    public PrintCatalogQuery templateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
		return this;
        }

        /**
        * 设置 证照目录模板ID
        * @param templateIdNotList
        */
        public PrintCatalogQuery templateIdNotList(List<Long> templateIdNotList){
        this.templateIdNotList = templateIdNotList;
        return this;
        }


	/**
    * 设置 证照模板名称
    * @param templateName
    */
    public PrintCatalogQuery templateName(String templateName){
        setTemplateName(templateName);
		return this;
    }

    /**
    * 设置 证照模板名称
    * @param templateNameList
    */
    public PrintCatalogQuery templateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
		return this;
    }


	/**
    * 设置 打印机名称
    * @param printerName
    */
    public PrintCatalogQuery printerName(String printerName){
        setPrinterName(printerName);
		return this;
    }

    /**
    * 设置 打印机名称
    * @param printerNameList
    */
    public PrintCatalogQuery printerNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
		return this;
    }


	/**
    * 设置 打印机网络地址
    * @param printerIp
    */
    public PrintCatalogQuery printerIp(String printerIp){
        setPrinterIp(printerIp);
		return this;
    }

    /**
    * 设置 打印机网络地址
    * @param printerIpList
    */
    public PrintCatalogQuery printerIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
		return this;
    }


	/**
    * 设置 打印机纸盒
    * @param paperSource
    */
    public PrintCatalogQuery paperSource(String paperSource){
        setPaperSource(paperSource);
		return this;
    }

    /**
    * 设置 打印机纸盒
    * @param paperSourceList
    */
    public PrintCatalogQuery paperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PrintCatalogQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PrintCatalogQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PrintCatalogQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PrintCatalogQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PrintCatalogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PrintCatalogQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PrintCatalogQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PrintCatalogQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PrintCatalogQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PrintCatalogQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PrintCatalogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PrintCatalogQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PrintCatalogQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PrintCatalogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PrintCatalogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PrintCatalogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}